Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.priority
Interface PriorityTransportLayer<Identifier>

All Superinterfaces:
  Destructable, TransportLayer<Identifier,java.nio.ByteBuffer>

All Known Implementing Classes:
  PriorityTransportLayerImpl

    public interface PriorityTransportLayer<Identifier>

extends TransportLayer<Identifier,java.nio.ByteBuffer>

Does 3 things: a) Sends messages on a Socket (depending on the options). b) Prioritizes messages into queues. c) calls sendFailed if there is a liveness change

Author:
  Jeff Hoye

Field Summary
`static byte` | `DEFAULT_PRIORITY`
`static byte` | `HIGH_PRIORITY`
`static byte` | `LOW_PRIORITY`
`static byte` | `LOWEST_PRIORITY`
`static byte` | `MAX_PRIORITY`
`static byte` | `MEDIUM_HIGH_PRIORITY`
`static byte` | `MEDIUM_LOW_PRIORITY`
`static byte` | `MEDIUM_PRIORITY`
`static java.lang.String` | `OPTION_PRIORITY`

Method Summary

Methods inherited from interface org.mpisws.p2p.transport.TransportLayer
`acceptMessages, acceptSockets, getLocalIdentifier, openSocket, sendMessage, setCallback, setErrorHandler`

Methods inherited from interface rice.Destructable
`destroy`

Field Detail

### OPTION_PRIORITY

    static final java.lang.String OPTION_PRIORITY

See Also:
  Constant Field Values

### MAX_PRIORITY

    static final byte MAX_PRIORITY

See Also:
  Constant Field Values

### HIGH_PRIORITY

    static final byte HIGH_PRIORITY

See Also:
  Constant Field Values

### MEDIUM_HIGH_PRIORITY

    static final byte MEDIUM_HIGH_PRIORITY

See Also:
  Constant Field Values

### MEDIUM_PRIORITY

    static final byte MEDIUM_PRIORITY

See Also:
  Constant Field Values

### MEDIUM_LOW_PRIORITY

    static final byte MEDIUM_LOW_PRIORITY

See Also:
  Constant Field Values

### LOW_PRIORITY

    static final byte LOW_PRIORITY

See Also:
  Constant Field Values

### LOWEST_PRIORITY

    static final byte LOWEST_PRIORITY

See Also:
  Constant Field Values

### DEFAULT_PRIORITY

    static final byte DEFAULT_PRIORITY

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.